Advertisement
ishanra

odoo 13 error

May 19th, 2022
680
Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
  1. Traceback (most recent call last):
  2.   File "/home/shani/fynarfin/odoo13/odoo/modules/registry.py", line 87, in new
  3.     odoo.modules.load_modules(registry._db, force_demo, status, update_module)
  4.   File "/home/shani/fynarfin/odoo13/odoo/modules/loading.py", line 426, in load_modules
  5.     processed_modules += load_marked_modules(cr, graph,
  6.   File "/home/shani/fynarfin/odoo13/odoo/modules/loading.py", line 313, in load_marked_modules
  7.     loaded, processed = load_module_graph(
  8.   File "/home/shani/fynarfin/odoo13/odoo/modules/loading.py", line 202, in load_module_graph
  9.     registry.init_models(cr, model_names, {'module': package.name}, new_install)
  10.   File "/home/shani/fynarfin/odoo13/odoo/modules/registry.py", line 377, in init_models
  11.     func()
  12.   File "/home/shani/fynarfin/odoo13/odoo/models.py", line 381, in _reflect
  13.     self.env['ir.model.fields']._reflect_model(self)
  14.   File "/home/shani/fynarfin/odoo13/odoo/addons/base/models/ir_model.py", line 931, in _reflect_model
  15.     ids = query_insert(cr, self._table, to_insert)
  16.   File "/home/shani/fynarfin/odoo13/odoo/addons/base/models/ir_model.py", line 57, in query_insert
  17.     cr.execute(query, params)
  18.   File "/home/shani/fynarfin/odoo13/odoo/sql_db.py", line 173, in wrapper
  19.     return f(self, *args, **kwargs)
  20.   File "/home/shani/fynarfin/odoo13/odoo/sql_db.py", line 250, in execute
  21.     res = self._obj.execute(query, params)
  22.   File "/home/shani/fynarfin/odoo13/odoo13env/lib/python3.8/site-packages/psycopg2/extensions.py", line 120, in getquoted
  23.     pobjs = [adapt(o) for o in self._seq]
  24.   File "/home/shani/fynarfin/odoo13/odoo13env/lib/python3.8/site-packages/psycopg2/extensions.py", line 120, in <listcomp>
  25.     pobjs = [adapt(o) for o in self._seq]
  26. psycopg2.ProgrammingError: can't adapt type 'dict'
  27. 2022-05-19 11:34:07,667 30588 ERROR odoodb13 odoo.http: Exception during JSON request handling.
  28. Traceback (most recent call last):
  29.  File "/home/shani/fynarfin/odoo13/odoo/http.py", line 625, in _handle_exception
  30.    return super(JsonRequest, self)._handle_exception(exception)
  31.  File "/home/shani/fynarfin/odoo13/odoo/http.py", line 311, in _handle_exception
  32.    raise pycompat.reraise(type(exception), exception, sys.exc_info()[2])
  33.  File "/home/shani/fynarfin/odoo13/odoo/tools/pycompat.py", line 14, in reraise
  34.    raise value
  35.  File "/home/shani/fynarfin/odoo13/odoo/http.py", line 670, in dispatch
  36.    result = self._call_function(**self.params)
  37.  File "/home/shani/fynarfin/odoo13/odoo/http.py", line 351, in _call_function
  38.    return checked_call(self.db, *args, **kwargs)
  39.  File "/home/shani/fynarfin/odoo13/odoo/service/model.py", line 94, in wrapper
  40.    return f(dbname, *args, **kwargs)
  41.  File "/home/shani/fynarfin/odoo13/odoo/http.py", line 340, in checked_call
  42.    result = self.endpoint(*a, **kw)
  43.  File "/home/shani/fynarfin/odoo13/odoo/http.py", line 916, in __call__
  44.    return self.method(*args, **kw)
  45.  File "/home/shani/fynarfin/odoo13/odoo/http.py", line 516, in response_wrap
  46.    response = f(*args, **kw)
  47.  File "/home/shani/fynarfin/odoo13/addons/web/controllers/main.py", line 1346, in call_button
  48.    action = self._call_kw(model, method, args, kwargs)
  49.  File "/home/shani/fynarfin/odoo13/addons/web/controllers/main.py", line 1334, in _call_kw
  50.    return call_kw(request.env[model], method, args, kwargs)
  51.  File "/home/shani/fynarfin/odoo13/odoo/api.py", line 390, in call_kw
  52.    result = _call_kw_multi(method, model, args, kwargs)
  53.  File "/home/shani/fynarfin/odoo13/odoo/api.py", line 377, in _call_kw_multi
  54.    result = method(recs, *args, **kwargs)
  55.  File "<decorator-gen-60>", line 2, in button_immediate_install
  56.  File "/home/shani/fynarfin/odoo13/odoo/addons/base/models/ir_module.py", line 73, in check_and_log
  57.    return method(self, *args, **kwargs)
  58.  File "/home/shani/fynarfin/odoo13/odoo/addons/base/models/ir_module.py", line 464, in button_immediate_install
  59.    return self._button_immediate_function(type(self).button_install)
  60.  File "/home/shani/fynarfin/odoo13/odoo/addons/base/models/ir_module.py", line 574, in _button_immediate_function
  61.    modules.registry.Registry.new(self._cr.dbname, update_module=True)
  62.  File "/home/shani/fynarfin/odoo13/odoo/modules/registry.py", line 87, in new
  63.    odoo.modules.load_modules(registry._db, force_demo, status, update_module)
  64.  File "/home/shani/fynarfin/odoo13/odoo/modules/loading.py", line 426, in load_modules
  65.    processed_modules += load_marked_modules(cr, graph,
  66.  File "/home/shani/fynarfin/odoo13/odoo/modules/loading.py", line 313, in load_marked_modules
  67.    loaded, processed = load_module_graph(
  68.  File "/home/shani/fynarfin/odoo13/odoo/modules/loading.py", line 202, in load_module_graph
  69.    registry.init_models(cr, model_names, {'module': package.name}, new_install)
  70.  File "/home/shani/fynarfin/odoo13/odoo/modules/registry.py", line 377, in init_models
  71.    func()
  72.  File "/home/shani/fynarfin/odoo13/odoo/models.py", line 381, in _reflect
  73.    self.env['ir.model.fields']._reflect_model(self)
  74.  File "/home/shani/fynarfin/odoo13/odoo/addons/base/models/ir_model.py", line 931, in _reflect_model
  75.    ids = query_insert(cr, self._table, to_insert)
  76.  File "/home/shani/fynarfin/odoo13/odoo/addons/base/models/ir_model.py", line 57, in query_insert
  77.    cr.execute(query, params)
  78.  File "/home/shani/fynarfin/odoo13/odoo/sql_db.py", line 173, in wrapper
  79.    return f(self, *args, **kwargs)
  80.  File "/home/shani/fynarfin/odoo13/odoo/sql_db.py", line 250, in execute
  81.    res = self._obj.execute(query, params)
  82.  File "/home/shani/fynarfin/odoo13/odoo13env/lib/python3.8/site-packages/psycopg2/extensions.py", line 120, in getquoted
  83.    pobjs = [adapt(o) for o in self._seq]
  84.  File "/home/shani/fynarfin/odoo13/odoo13env/lib/python3.8/site-packages/psycopg2/extensions.py", line 120, in <listcomp>
  85.    pobjs = [adapt(o) for o in self._seq]
  86. psycopg2.ProgrammingError: can't adapt type 'dict'
  87. 2022-05-19 11:34:07,859 30588 DEBUG odoodb13 odoo.modules.registry: Multiprocess load registry signaling: [Registry: 1] [Cache: 2]
  88. 2022-05-19 11:34:07,867 30588 INFO odoodb13 odoo.modules.loading: loading 1 modules...
  89. 2022-05-19 11:34:07,867 30588 DEBUG odoodb13 odoo.modules.loading: loading module base (1/1)
  90. 2022-05-19 11:34:07,889 30588 INFO odoodb13 odoo.modules.loading: 1 modules loaded in 0.02s, 0 queries
  91. 2022-05-19 11:34:07,896 30588 DEBUG odoodb13 odoo.modules.loading: Updating graph with 7 more modules
  92. 2022-05-19 11:34:07,896 30588 INFO odoodb13 odoo.modules.loading: loading 8 modules...
  93. 2022-05-19 11:34:07,897 30588 DEBUG odoodb13 odoo.modules.loading: loading module swipe_images_backend (2/8)
  94. 2022-05-19 11:34:07,897 30588 DEBUG odoodb13 odoo.modules.loading: loading module web (3/8)
  95. 2022-05-19 11:34:07,906 30588 DEBUG odoodb13 odoo.modules.loading: loading module base_import (4/8)
  96. 2022-05-19 11:34:07,918 30588 DEBUG odoodb13 odoo.modules.loading: loading module web_diagram (5/8)
  97. 2022-05-19 11:34:07,919 30588 DEBUG odoodb13 odoo.modules.loading: loading module web_editor (6/8)
  98. 2022-05-19 11:34:07,924 30588 DEBUG odoodb13 odoo.modules.loading: loading module web_kanban_gauge (7/8)
  99. 2022-05-19 11:34:07,924 30588 DEBUG odoodb13 odoo.modules.loading: loading module web_tour (8/8)
  100. 2022-05-19 11:34:07,925 30588 INFO odoodb13 odoo.modules.loading: 8 modules loaded in 0.03s, 0 queries
  101. 2022-05-19 11:34:07,975 30588 INFO odoodb13 odoo.modules.loading: Modules loaded.
  102. 2022-05-19 11:34:07,978 30588 WARNING odoodb13 odoo.modules.loading: Transient module states were reset
  103. 2022-05-19 11:34:07,978 30588 ERROR odoodb13 odoo.modules.registry: Failed to load registry
  104. Traceback (most recent call last):
  105.   File "/home/shani/fynarfin/odoo13/odoo/modules/registry.py", line 61, in __new__
  106.     return cls.registries[db_name]
  107.   File "/home/shani/fynarfin/odoo13/odoo/tools/func.py", line 69, in wrapper
  108.     return func(self, *args, **kwargs)
  109.   File "/home/shani/fynarfin/odoo13/odoo/tools/lru.py", line 44, in __getitem__
  110.     a = self.d[obj].me
  111. KeyError: 'odoodb13'
  112.  
  113. During handling of the above exception, another exception occurred:
  114.  
  115. Traceback (most recent call last):
  116.   File "/home/shani/fynarfin/odoo13/odoo/modules/registry.py", line 87, in new
  117.     odoo.modules.load_modules(registry._db, force_demo, status, update_module)
  118.   File "/home/shani/fynarfin/odoo13/odoo/modules/loading.py", line 544, in load_modules
  119.     model._register_hook()
  120.   File "/home/shani/fynarfin/odoo13/odoo/addons/base/models/res_lang.py", line 88, in _register_hook
  121.     if not self.search_count([]):
  122.   File "/home/shani/fynarfin/odoo13/odoo/models.py", line 1632, in search_count
  123.     res = self.search(args, count=True)
  124.   File "/home/shani/fynarfin/odoo13/odoo/models.py", line 1655, in search
  125.     res = self._search(args, offset=offset, limit=limit, order=order, count=count)
  126.   File "/home/shani/fynarfin/odoo13/odoo/models.py", line 4506, in _search
  127.     query = self._where_calc(args)
  128.   File "/home/shani/fynarfin/odoo13/odoo/models.py", line 4228, in _where_calc
  129.     where_clause, where_params = e.to_sql()
  130.   File "/home/shani/fynarfin/odoo13/odoo/osv/expression.py", line 1306, in to_sql
  131.     q, ps = self.__leaf_to_sql(leaf)
  132. TypeError: _wrapper() missing 2 required positional arguments: 'model' and 'alias'
  133. 2022-05-19 11:34:07,993 30588 INFO odoodb13 werkzeug: 127.0.0.1 - - [19/May/2022 11:34:07] "POST /web/dataset/call_button HTTP/1.1" 500 - 2257 3.694 3.192
  134. 2022-05-19 11:34:08,044 30588 ERROR odoodb13 werkzeug: Error on request:
  135. Traceback (most recent call last):
  136.   File "/home/shani/fynarfin/odoo13/odoo/modules/registry.py", line 61, in __new__
  137.     return cls.registries[db_name]
  138.   File "/home/shani/fynarfin/odoo13/odoo/tools/func.py", line 69, in wrapper
  139.     return func(self, *args, **kwargs)
  140.   File "/home/shani/fynarfin/odoo13/odoo/tools/lru.py", line 44, in __getitem__
  141.     a = self.d[obj].me
  142. KeyError: 'odoodb13'
  143.  
  144. During handling of the above exception, another exception occurred:
  145.  
  146. Traceback (most recent call last):
  147.   File "/home/shani/fynarfin/odoo13/odoo13env/lib/python3.8/site-packages/werkzeug/serving.py", line 304, in run_wsgi
  148.     execute(self.server.app)
  149.   File "/home/shani/fynarfin/odoo13/odoo13env/lib/python3.8/site-packages/werkzeug/serving.py", line 292, in execute
  150.     application_iter = app(environ, start_response)
  151.   File "/home/shani/fynarfin/odoo13/odoo/service/server.py", line 440, in app
  152.     return self.app(e, s)
  153.   File "/home/shani/fynarfin/odoo13/odoo/service/wsgi_server.py", line 142, in application
  154.     return application_unproxied(environ, start_response)
  155.   File "/home/shani/fynarfin/odoo13/odoo/service/wsgi_server.py", line 117, in application_unproxied
  156.     result = odoo.http.root(environ, start_response)
  157.   File "/home/shani/fynarfin/odoo13/odoo/http.py", line 1288, in __call__
  158.     return self.dispatch(environ, start_response)
  159.   File "/home/shani/fynarfin/odoo13/odoo/http.py", line 1258, in __call__
  160.     return self.app(environ, start_wrapped)
  161.   File "/home/shani/fynarfin/odoo13/odoo13env/lib/python3.8/site-packages/werkzeug/middleware/shared_data.py", line 220, in __call__
  162.     return self.app(environ, start_response)
  163.   File "/home/shani/fynarfin/odoo13/odoo/http.py", line 1479, in dispatch
  164.     response = self.get_response(httprequest, result, explicit_session)
  165.   File "/home/shani/fynarfin/odoo13/odoo/http.py", line 285, in __exit__
  166.     elif self.registry:
  167.   File "/home/shani/fynarfin/odoo13/odoo/http.py", line 369, in registry
  168.     return odoo.registry(self.db)
  169.   File "/home/shani/fynarfin/odoo13/odoo/__init__.py", line 104, in registry
  170.     return modules.registry.Registry(database_name)
  171.   File "/home/shani/fynarfin/odoo13/odoo/modules/registry.py", line 63, in __new__
  172.     return cls.new(db_name)
  173.   File "/home/shani/fynarfin/odoo13/odoo/modules/registry.py", line 87, in new
  174.     odoo.modules.load_modules(registry._db, force_demo, status, update_module)
  175.   File "/home/shani/fynarfin/odoo13/odoo/modules/loading.py", line 544, in load_modules
  176.     model._register_hook()
  177.   File "/home/shani/fynarfin/odoo13/odoo/addons/base/models/res_lang.py", line 88, in _register_hook
  178.     if not self.search_count([]):
  179.   File "/home/shani/fynarfin/odoo13/odoo/models.py", line 1632, in search_count
  180.     res = self.search(args, count=True)
  181.   File "/home/shani/fynarfin/odoo13/odoo/models.py", line 1655, in search
  182.     res = self._search(args, offset=offset, limit=limit, order=order, count=count)
  183.   File "/home/shani/fynarfin/odoo13/odoo/models.py", line 4506, in _search
  184.     query = self._where_calc(args)
  185.   File "/home/shani/fynarfin/odoo13/odoo/models.py", line 4228, in _where_calc
  186.     where_clause, where_params = e.to_sql()
  187.   File "/home/shani/fynarfin/odoo13/odoo/osv/expression.py", line 1306, in to_sql
  188.     q, ps = self.__leaf_to_sql(leaf)
  189. TypeError: _wrapper() missing 2 required positional arguments: 'model' and 'alias' - - -
Advertisement
RAW Paste Data Copied
Advertisement